/* $Id: sstream.h,v 1.2 2001/09/03 22:16:15 aa5779 Exp $ */
#ifndef SSTREAM_H
#define SSTREAM_H

#include "interp.h"
#include "util.h"

stream *ss_open(interpreter *i, char *name, char *sname, int writeable);
void ss_close(interpreter *i, stream *s);
html_chunk *ss_read(interpreter *i, stream *s);
void ss_writestr(interpreter *i, stream *s, char *str);
void ss_writetag(interpreter *i, stream *s, html_chunk *ch);
char *ss_ioctl(interpreter *i, stream *s, char *ctlstr);
int ss_getpos(interpreter *i, stream *s);
void ss_setpos(interpreter *i, stream *s, int p);
void ss_rewind(interpreter *i, stream *s);

#ifndef SSTREAM_IMP
extern stream_class script_stream_class;
#endif

#endif

